MANPATH(1)

NOM
manpath - Déterminer la liste des chemins d'accès aux pages de manuel

SYNOPSIS
manpath [-qgdc?V] [-m système[,...]] [-C fichier]

DESCRIPTION
Si $MANPATH est définie, manpath affichera simplement son contenu suivi d'un avertissement. Sinon manpath déterminera une liste appropriée de chemins d'accès aux structures hiérarchiques des pages de manuel et l'affichera.

Cette liste, formée des chemins d'accès délimités par « : », est déterminée en utilisant l'information contenue dans le fichier de configuration de man-db – (/etc/manpath.config) et en tenant compte de l'environnement d'utilisateur.

OPTIONS

-q, --quiet
    Ne pas afficher les avertissements.

-d, --debug
    Affiche les informations de mise au point.

-c, --catpath
    Produit une liste de chemins d'accès aux pages « cat » par opposition à une liste de chemins d'accès aux pages « man ». Une fois que la liste des chemins d'accès aux structures hiérarchiques des pages « man » est déterminée, chaque élément de cette liste est converti en un chemin d'accès relatif aux pages « cat ».

-g, --global
    Produit une liste de chemins d'accès aux structures hiérarchiques des pages « man » se composant de chacun des chemins défini « global » dans le fichier de configuration de man-db.

-m système[,...], --systems=système[,...]
    If this system has access to other operating systems' manual hierarchies, this option can be used to include them in the output of manpath. To include NewOS's manual page hierarchies use the option -m NewOS.

    Le système indiqué peut être une combinaison de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure les structures hiérarchiques natives de pages de manuel du système d'exploitation, le nom système « man » doit être inclus dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-C fichier, --config-file=fichier
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Affiche un message d'aide et s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche le numéro de version.

ENVIRONNEMENT

MANPATH
    If $MANPATH is set, manpath displays its value rather than determining it on the fly.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiquée comme argument de l'option -m.

FICHIERS

/etc/manpath.config
    Fichier de configuration de man-db.

VOIR AUSSI
apropos(1), man(1), whatis(1)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BOGUES
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:https://po4a.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».